Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
Prochaine révision Les deux révisions suivantes
draftsight [Le 02/12/2014, 15:06]
UnMamouth [Pré-requis]
draftsight [Le 07/04/2021, 12:03]
176.129.3.56 [Installation]
Ligne 1: Ligne 1:
-{{tag>Lucid Natty Oneiric Precise ​cao architecture mécanique}}+{{tag>Trusty ​cao architecture mécanique}}
 ---- ----
  
 ====== DraftSight ====== ====== DraftSight ======
  
-**DraftSight** est un logiciel de CAO 2D multiplateforme ​propriétaire **gratuit** publié par la société Dassault Systèmes (éditeur de CATIA et SolidWorks). Il s'agit du fruit d'une entente avec l'​entreprise ​Gräbert : DraftSight est une version allégée de [[:ARES]], avec certains éléments en moins((Pas de modélisation solide 3D, pas de kit de développement d'​applications.)). Il est pleinement compatible avec AutoCAD, dont il reprend ​les formats de fichier DWG (jusqu'​à ​AutoCAD 2010) et DXFainsi que l'interface (dont la ligne de commande) et la plupart des fonctionnalités.+**DraftSight** est un logiciel de [[wpfr>​Conception_assistée_par_ordinateur|CAO]] 2D multiplate-forme [[wpfr>​Logiciel_propriétaire|propriétaire]] <del>**gratuit**</​del> ​publié par la société Dassault Systèmes (éditeur de CATIA et SolidWorks). Il s'agit du fruit d'une entente avec l'​entreprise ​Gräbert ​: DraftSight est une version allégée de [[:ARES]], avec certains éléments en moins((Pas de modélisation solide 3D, pas de kit de développement d'​applications.)). Il est pleinement compatible avec AutoCAD, dont il supporte ​les formats de fichier DWG/DXF((jusqu'​à ​la version 2013 pour DraftSight 2015)) en lecture ​et en écritureet adopte une interface (dont la ligne de commande) et des plupart des fonctionnalités ​semblables. 
 +<note important>​Les dernières versions de Draftsight ne fonctionnent plus que sous Microsoft Windows.</​note>​
  
 {{:​applications:​draftsight_lucid_01.png?​500}} {{:​applications:​draftsight_lucid_01.png?​500}}
Ligne 12: Ligne 13:
   * Disposer des [[:​sudo|droits d'​administration]].   * Disposer des [[:​sudo|droits d'​administration]].
   * Disposer d'une connexion à Internet configurée et activée.   * Disposer d'une connexion à Internet configurée et activée.
-  * Configuration matérielle minimale conseillée (([[http://​www.3ds.com/​fileadmin/​PRODUCTS/​DRAFT_SIGHT/PDF/Linux-Launch/​FAQ-2011-03-04.pdf|Source]])) :​ +  * Configuration matérielle minimale conseillée ​(version 2018) (([[https://​www.3ds.com/​fileadmin/​PRODUCTS-SERVICES/DRAFTSIGHT/PDF/DraftSight_2018_SP1_System_Requirements_v2.pdf|Source]])) : 
-    * un ordinateur 64 bits (plus de version supportée en 32 bits au 02/​12/​2014) +    * un ordinateur 64 bits (plus de version supportée en 32 bits au 02/12/2014), 
-    * un processeur ​1GHz +    * processeur ​Intel® CoreTM 2 Duo, AMD® AthlonTM X2 Dual-Core, ou mieux, 
-    * 1Go de RAM (Go recommandés) +    * 2 Go de RAM (Go recommandés), 
-    * 1Go d'​espace d'​espace disque disponible +    * 1 Go d'​espace d'​espace disque disponible ​pour l'​installation,​ 
-    * un écran de résolution 1024x768 pixels ​(1680x1050 ​ou plus, recommandé) +    * un écran de résolution 1024x768 pixelsou mieux, 
-    * une souris à roulette (recommandé)+    * une carte graphique 3D OpenGL 1.4 (OpenGL 3.2 ou mieux recommandé) 
 +    * une souris à roulette (recommandé),
     * une connexion internet pour l'​activation (pour permettre une utilisation de plus de 30 jours).     * une connexion internet pour l'​activation (pour permettre une utilisation de plus de 30 jours).
 ===== Installation ===== ===== Installation =====
  
-Rendez-vous sur [[http://​www.3ds.com/​products/​draftsight/​download-draftsight/​|la page de téléchargement de DraftSight]], ​puis téléchargez la version ​« Ubuntu ​Linux OS .deb file (Beta) ». (Vous devez cocher ​« I accept ​the End User License agreement ​above »)+[[http://​www.3ds.com/​products/​draftsight/​download-draftsight/​|La page de téléchargement de DraftSight]], ​fournit ​ uniquement une version 64bits pour Linux, ​téléchargez la version ​« Ubuntu ​Linux OS .deb file (Beta) ». (Vous devez cocher ​« I accept ​the End User License agreement ​above »)
  
-Ensuite, [[:​tutoriel:​comment_installer_un_paquet|installez ​le paquet]]Il vous sera demandé ​de lire puis d'​approuver un contrat de licence utilisateur afin que l'​installation se complète.+Ce n'est plus le cas ... Draftsight ne donne plus la possibilité ​de télécharger la version beta Ubuntu
  
-<note help>​L'​installation retourne ​//"​Terminée"//​ dans le terminal ​de l'installeur mais ne fonctionne pas ? Essayez en adaptant le nom de l'archive <​code>​sudo dpkg -i --force-architecture,​depends draftSight.deb</​code></​note>​ +Ensuite, [[:tutoriel/comment_installer_un_paquet#​installer_un_paquet_isole|installez ​le paquet]]. Il vous sera demandé ​de lire puis d'approuver un contrat ​de licence utilisateur afin que l'installation se complète.
-J'ai eu besoin de cette ligne de code pour l'​installer sur Kubuntu 12.10. Il fallait aussi avoir installé libdirectfb-extra (via le Gestionnaire de paquetages). +
-==== Installation sous Ubuntu 64 bits ====+
  
-Le paquet étant pour architecture 32 bits, lorsque vous tenterez de l'​installer,​ vous obtiendrez l'​erreur suivante :​ +<​code>​sudo dpkg -i draftSight.deb</​code>
->Erreur : Architecture « i386 » incorrecte+
  
-Pour installer ce paquet sous Ubuntu 64 bits, il faut suivre les instructions indiquées ici : [[:​ubuntu_64bits#​utiliser ​des programmes 32 bits sur ubuntu 64 bits]]L'[[:​tutoriel:​comment_installer_un_paquet|installation]] de certaines dépendances peut être nécessaire,​ comme **[[apt>​libaudio2,​libdirectfb-extra,​libxcb-render-util0|libaudio2,​ libdirectfb-extra ​et libxcb-render-util0]]**.+===== Configuration =====  
 +Parmi les erreurs possibles, il peut y avoir des problèmes de droits d'​accès aux fichiers de configuration dans ~/.config/​DraftSight qui peuvent demander d'utiliser les commandes //​chown// ​et/ou //chmod// en mode récursif (option //-R//).
  
-Si vous avez des problèmes de dépendances sous [[natty|Ubuntu 11.04]], la solution qui marche malgré plein de messages d'​erreur est indiquée sur [[http://​forum.ubuntu-fr.org/​viewtopic.php?​pid=5247571#​p5247571|ce forum]] (message n°7).+==== Activation du logiciel ====
  
-Un script ​d'installation est disponible [[http://​www.atareao.es/​ubuntu/​software-para-tu-ubuntu/​instalar-draftsight-en-ubuntu-64-bits-a-lo-facil-con-un-script/​|ici]] (espagnol)+Le logiciel fonctionnera en version ​d'évaluation,​ avec pleines fonctionnalités,​ pour une période de 30 jours, durant laquelle il vous sera demandé de l'​activer en fournissant une adresse de courrielSans cette activation, le logiciel cessera de fonctionner au bout de cette période.
  
-==== Installation sous Ubuntu 11.10 ====+Sur la version 2017.2.0.3085 au moins la réactivation de la licence ne fonctionne pas, malgré une réinstallation complète, et le programme ne fonctionnement plus au bout de 30 jours (En attente de solution).
  
-Le changement de nom d'une librairie (libxcd-render-util0) rend impossible l'​installation directe du paquet .deb, sous prétexte de dépendance manquante. +====Création ​d'un lanceur==== 
-Une solution ​de fortune est de suivre la procédure indiquée ​[[http://linuxaideddesign.blogspot.com/2011/10/draftsight-on-ubuntu-1110.html|ici]] **(en)**.+Suivez les instructions ​de cette [[:unity_launcher#​creer_ses_propres_lanceurs|page pour Unity]], cette autre [[:​raccourci-lanceur|page pour les menus classiques]],​ si vous souhaitez obtenir un raccourci dans votre menu applications. Dans //Commande// vous mettrez ​///​opt/​dassault-systemes/​DraftSight/​Linux/​DraftSight//​. 
 +=====Utilisation=====
  
-==== Installation sous Ubuntu 12.04 LTS, 13.04, 13.10 et 14.04 LTS 64 bits ====+==== Lancement ​==== 
 +Une fois le lanceur créé, vous pouvez lancer l'​application via le [[:​unity#​tableau_de_bord_dash|tableau de bord Unity]], ou //via// un [[:​terminal]] avec la [[:​commande_shell|commande]] suivante : 
 +<​code>/​opt/​dassault-systemes/​DraftSight/​Linux/​DraftSight</​code>​
  
-Pour [[precise|Ubuntu 12.04 LTS]], [[raring|Ubuntu 13.04]], [[saucy|Ubuntu 13.10]] et [[trusty|Ubuntu 14.04 LTS]] 64bits, un script ​d'installation est aussi disponible (testéfonctionnel sur les versions citées) ​[[http://www.atareao.es/ubuntu/​software-para-tu-ubuntu/​instalar-draftsight-en-ubuntu-precise-pangolin-64-bits/​|ici]] ​(espagnol) --> télécharger le script, décompressez le dans le même dossier que le .deb de Draftsight, [[:​tutoriel:​comment_installer_un_paquet|installer]] les dépendances ​**[[apt>​libdirectfb-extra,​libxcb-render-util0|libdirectfb-extra libxcb-render-util0]]** et exécuter le script <​code>​sudo sh create_draftSight64.sh</​code>​ Installer ensuite le paquet 64bits généré par un <​code>​sudo apt-get install libdirectfb-extra libxcb-render-util0 +==== Alias ==== 
-sudo dpkg -i draftSight_64.deb</​code>​+Pour les utilisateurs ​d'AutoCADon peut trouver ​[[http://joch04.free.fr/achtml/DraftSight.html#​DSalias|ici]] ​une liste d'**alias** (nom de commandes) similaires à ceux de cette application.
  
-<note help>Si l'​erreur "​**libgtk-x11-2.0.so.0:​ cannot open shared object file: No such file or directory**"​ apparaît, cela peut être résolu par <​code>​sudo apt-get install libgtk2.0-0:​i386</​code>​ +===== Problèmes rencontrés ===== 
-Puis recommencer l'​installation</​note>​ +==== Le curseur ​de la souris bouge au ralenti ​(DraftSight 2015 SP2 et SP3==== 
-<note help>Si l'​erreur est de type libaudio, installer ​la bibliothèque libaudio i386</​note>​ +<​note ​important>Par rapport aux version précédentesDraftSight devient inutilisable à cause des ralentissements du curseur.</​note>​
-<note help>Si l'​erreur 127 apparait ​(notamment Ubuntu 14.04 et/ou sur mac book pro), il manque des librairies. Ajoutez les en faisant :  +
-<code>​sudo apt-get install libuuid1:​i386 libice6:​i386 libsm6:i386 libxt6:i386 libaudio2:​i386 libgtk2.0-0:​i386 libcanberra-gtk-module:​i386 libcanberra-gtk0:​i386 libglu1-mesa:​i386</​code>​ +
-(cela résout aussi le problème de l'​icône Draftsight qui ne marche pas dans le menu Application/​Graphisme) Puis recommencer l'​installation</​note> +
-<note help>​S'​il manque les thèmes Murineinutile de l'​installer (Ubuntu 14.04)</​note>​+
  
 +<note tip>Le problème semble résolu((constaté sous Wily 64 avec le pilote radeon libre)) avec DrafSight 2016 SP0 (2016.1.0.2021). Plus besoin des solutions de contournement ci-dessous !
 +FIXME À confirmer et mettre à jour !</​note>​
 +Il existe deux solutions de contournements,​ utilisant toutes deux la modification du paramètre d'​affichage vblank pour DraftSight.
  
 +=== Lancer DraftSight avec une commande modifiée ===
 +Il suffit de lancer DraftSight avec cette commande dans un [[:​terminal]] :​
 +  vblank_mode=0 /​opt/​dassault-systemes/​DraftSight/​Linux/​DraftSight
 + Il s'agit probablement de la méthode la plus générique. Elle a été rapportée notamment [[https://​askubuntu.com/​questions/​616709/​mouse-is-too-slow-in-draftsight|ici]] pour fonctionner avec des chipset graphiques Intel et des cartes AMD sous pilote libre (amélioration,​ mais pas de règlement complet).
  
-Le script (toujours valide sur V1R5.2 et ubuntu 14.04), au cas la source ne serait plus accessible:  +FIXME On doit pouvoir éditer/créer un lanceur en conséquence ​ 
- + === Désactiver ​ « Sync to VBlank » sur les cartes NVIDIA === 
-<file sh create_draftSight64.sh>​ +Pour les cartes graphiques utilisant le pilote NVIDIA, il est possible de désactiver complètement le paramètre « Sync to VBlank »
-#!/bin/bash +Pour celà, ouvrez Nvidia X server settings; OpenGL Settings; et décochez « Sync to VBlank » ((traduction approximative de la solution expliquée ​[[https://askubuntu.com/questions/616709/mouse-is-too-slow-in-draftsight|ici]])).
-echo '​*************************************************'​ +
-echo '**** Creating 64 bits package for DraftSight ****'​ +
-echo '​************** http://www.atareao.es ************'​ +
-echo '​*************************************************'​ +
-echo +
-if -f draftSight.deb ] +
-then +
- if -d ./​temp_draftsight64 ] +
- then +
- echo '​removing temp_draftsight64'​ +
- rm -rf temp_draftsight64 +
- echo +
- fi +
- echo '​making temp_draftsight64 directory'​ +
- mkdir temp_draftsight64 +
- echo +
- echo '​depackaging DraftSight 32 bits'​ +
- dpkg-deb -x draftSight.deb ./​temp_draftsight64 +
- dpkg-deb -e draftSight.deb ./​temp_draftsight64/​DEBIAN +
- echo +
- echo '​changing architecture'​ +
- sed -i '​s/​Architecturei386/Architecture:​ amd64/g' ​./temp_draftsight64/DEBIAN/control +
- echo +
- echo '​adding dependencies'​ +
- sed -i 's/Pre-Depends: /Pre-Depends: libdirectfb-extra, libxcb-render-util0,​ /g' ./​temp_draftsight64/​DEBIAN/​control +
- echo +
- echo '​creating package for 64 bits'​ +
- dpkg-deb -b ./​temp_draftsight64 draftSight_64.deb +
- echo +
- echo '​removing temporary directory temp_draftsight64'​ +
- rm -rf temp_draftsight64 +
- echo +
- echo '​finished correctly'​ +
-fi +
-</​file>​ +
-[[http://​www.atareao.es/​ubuntu/​software-para-tu-ubuntu/​instalar-draftsight-en-ubuntu-precise-pangolin-64-bits/​|procédure sur site espagnol]] +
-===== Configuration =====  +
- +
-==== Activation du logiciel ==== +
- +
-Le logiciel fonctionnera en version d'​évaluation,​ avec pleines fonctionnalités,​ pour une période de 30 jours, durant laquelle il vous sera demandé de l'​activer en fournissant une adresse de courrielSans cette activation, le logiciel cessera de fonctionner au bout de cette période. +
- +
-===== Utilisation=====+
  
-Lancez l'​application via le [[:​unity#​tableau_de_bord_dash|dash]] (Ubuntu 11.04 et ultérieures)depuis ​le menu //​Applications -> Graphisme -> DraftSight//​ ou //via// la [[:​commande_shell|commande]] suivante :+Attentionce paramètre étant changé de manière permanente, il peut altérer ​le fonctionnement d'​autres applications !
  
-  /​opt/​dassault-systemes/​draftsight/​bin/​DraftSight 
-  ou pour Ubuntu 12.04 
-  /​opt/​dassault-systemes/​draftsight/​bin/​draftsight 
-  ​ 
-Pour la version V1R5.2 et sous Ubuntu 14.04 
-/​opt/​dassault-systemes/​DraftSight/​Linux/​DraftSight 
-  
 ===== Désinstallation ===== ===== Désinstallation =====
  
-Pour supprimer cette application,​ il suffit de [[:​tutoriel:​comment_supprimer_un_paquet|supprimer son paquet]]. Selon la méthode choisie, la configuration globale de l'​application est conservée ou supprimée. Les journaux du système, et les fichiers de préférence des utilisateurs dans leurs dossiers personnels sont toujours conservés.+Pour supprimer cette application,​ il suffit de [[:​tutoriel:​comment_supprimer_un_paquet|supprimer son paquet]]. 
 + Selon la méthode choisie, la configuration globale de l'​application est conservée ou supprimée. Les journaux du système, et les fichiers de préférence des utilisateurs dans leurs dossiers personnels sont toujours conservés.
  
-==== Désinstallation sous Ubuntu 64 bits ====+ou simplement :     sudo apt-get purge draftsight
  
-Si vous avez installé DraftSight sous Ubuntu 64 bits, le paquet n'​apparaîtra pas dans votre [[gestionnaire de paquets]]. 
  
-Pour le désinstaller,​ suivez les instructions indiquées ici : [[:​ubuntu_64bits#​utiliser des programmes 32 bits sur ubuntu 64 bits]] 
  
-Le nom du paquet à désinstaller est le suivant : 
-  dassault-systemes-draftsight 
-En cas d'​erreur essayer avec le nom suivant :  ​ 
-  dassault-systemes-draftsight:​i386 
 ===== Voir aussi ===== ===== Voir aussi =====
  
-  * **(fr)** [[http://​www.3ds.com/​fr/​products/​draftsight/​|Site officiel de DraftSight]] +  * **(fr)** [[https://​www.3ds.com/​fr/​products-services/draftsight-cad-software/​/|Site officiel de DraftSight]], 
-  * **(fr)** [[http://​forum.ubuntu-fr.org/​viewtopic.php?​id=257947|Discussion ​« Autocad ​Like en natif sous LINUX!!! » sur le forum Ubuntu-fr]]+  * **(fr)** [[http://​forum.ubuntu-fr.org/​viewtopic.php?​id=257947|Discussion ​« Autocad ​Like en natif sous LINUX!!! » sur le forum Ubuntu-fr]].
  
  
 ---- ----
-//​Contributeur principal : [[:​utilisateurs:​Gemnoc]].//​+//​Contributeur principal : [[:​utilisateurs:​Gemnoc]], pour la MAJ [[:​utilisateurs:​l_africain|L'​Africain]].//